/ comp / gb.compress / compress / open
Compress.Open (gb.compress)
Syntax

    SUB Open ( Path AS String [ , Level AS Integer ] )

Allows you to open a file for writting in compressed format. Prior to use this method you have to select the appropiate compression driver.

- Level: compression level, can be a value from Min value to Max value. If you do not pass this parameter, Default value will be used.

### Examples

    ..
    Dim Cz As New Compress

    Cz.Type = "bzlib2"
    Cz.Open ( "/home/foo/compressed.bz2",Cz.Max )
    PRINT #Cz , "Hello, this is a compressed file,"
    PRINT #Cz , "using bzlib2 algorithm. Remember that"
    PRINT #Cz , "highest compression level provides"
    PRINT #Cz , "a little output file, but requires"
    PRINT #Cz , "more CPU time"
    CLOSE #Cz
    ...